//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 by Autodesk, Inc.  All rights reserved.
//
// This computer source code and related instructions and comments 
// are the unpublished confidential and proprietary information of 
// Autodesk, Inc. and are protected under applicable copyright and 
// trade secret law.  They may not be disclosed to, copied or used 
// by any third party without the prior written consent of Autodesk, Inc.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __STDISOTAPER_H
#define __STDISOTAPER_H

///<summary>This is class AcmTaperStdISO.</summary>
class STDIMP_DLLSHARE AcmTaperStdISO : public AcmTaperStd
{
public:
  ACRX_DECLARE_MEMBERS(AcmTaperStdISO);

  AcmTaperStdISO();
  virtual ~AcmTaperStdISO();
  const ACHAR* getDefaultRevClassName() const override;

  //this class is obsolete - do not create any object from that!
  Adesk::Boolean isCompatibleTo(const AcmStandard* pStd) const override
  {
      return Adesk::kFalse;
  }
};

class STDIMP_DLLSHARE AcmTaperStdISO2016 : public AcmTaperStdISO
{
public:
    ACRX_DECLARE_MEMBERS(AcmTaperStdISO2016);
    AcmTaperStdISO2016();
    virtual ~AcmTaperStdISO2016();
    const ACHAR* getDefaultRevClassName() const override;

    //this class is obsolete - do not create any object from that!
    Adesk::Boolean isCompatibleTo(const AcmStandard* pStd) const override
    {
        return Adesk::kFalse;
    }
};


#endif // __STDISOTAPER_H